We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Aspose problem upgrading to .net 6

Hello,

We’re using Aspose 20.1.0 on our .NET Core 3.1 Projects and we are trying to upgrade our projects to .NET 6, but we’re facing two issues:

First issue is that when we upgrade to .NET 6 we start to get the following error from Aspose without much more information:

Exception of type ‘System.Exception’ was thrown.

We tried then to upgrade Aspose, but we got a license error:

The subscription included in this license allows free upgrades until 23 Aug 2020, but this version of the product was released on 13 Jan 2022. Please renew the subscription or use a previous version of the product.

So we’re considering buying a new license, but we need to ensure that buying a new one we will be able to upgrade to .NET 6, can you confirm that?

@rui.queiros

.NET Core 6.0 support has been added to the latest versions of all Aspose APIs almost. However, can you please specify which Aspose APIs are you using? We will provide our feedback accordingly.

We’re using Aspose.HTML, Aspose.Word and Aspose.PDF

We would need to upgrade our library in order to do so? Right?

@rui.queiros

Yes, you are right. The .NET Core 6.0 was released recently and its support is added in the latest versions of the APIs. Latest versions of Aspose.HTML, Aspose.Words and Aspose.PDF support .NET Core 6.0.

The documentation is not udpated then? I’m affraid I buy a new license, upgrande and doesn’t work :smiley:

@rui.queiros

The support for .NET 6.0 was introduced in 21.12 version of the API as you can see in the release notes of the respective API version. Furthermore, we will also update our documentation soon.